<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class QcrThemeQcrAddDisableIndexingToDefaultPages extends Migration
{
    protected $delete = false;
    protected $namespace = 'pages';
    protected $stream = [ 'slug' => 'default_pages', ];
    protected $fields = [
        'disable_indexing' => [
            'locked' => false,
            'type'   => 'anomaly.field_type.boolean',
            'config' => [
                'default_value' => false,
            ],
            'en' => [
                'name' => 'Disable Search Indexing',
            ],
        ],
    ];
    protected $assignments = [ 'disable_indexing' ];
}
